Aplicar etiquetas a compras
curl --request POST \
--url https://api.lapyme.com.ar/api/v1/purchases/tags/apply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"add_tag_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"remove_tag_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/purchases/tags/apply"
payload = {
"entity_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"add_tag_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"remove_tag_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entity_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
add_tag_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
remove_tag_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.lapyme.com.ar/api/v1/purchases/tags/apply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lapyme.com.ar/api/v1/purchases/tags/apply",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'entity_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'add_tag_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'remove_tag_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lapyme.com.ar/api/v1/purchases/tags/apply"
payload := strings.NewReader("{\n \"entity_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"add_tag_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"remove_tag_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.lapyme.com.ar/api/v1/purchases/tags/apply")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"entity_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"add_tag_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"remove_tag_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lapyme.com.ar/api/v1/purchases/tags/apply")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"entity_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"add_tag_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"remove_tag_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"data": {
"entity_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"added": 1,
"removed": 1,
"total": 1
},
"warnings": [
"<unknown>"
]
}{
"request_id": "req_purchase_tags_apply_1",
"error": {
"code": "INVALID_REQUEST",
"message": "Invalid request for applying tags to purchases",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_purchase_tags_apply_1",
"error": {
"code": "AUTHENTICATION_REQUIRED",
"message": "API key is required in the Authorization header",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_purchase_tags_apply_1",
"error": {
"code": "FORBIDDEN",
"message": "Your API key does not have permission for this operation",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_purchase_tags_apply_1",
"error": {
"code": "INTERNAL_ERROR",
"message": "Could not apply tags to purchases",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}Aplicar etiquetas a compras
Agrega y/o remueve etiquetas de scope purchase en un lote de compras.
POST
/
api
/
v1
/
purchases
/
tags
/
apply
Aplicar etiquetas a compras
curl --request POST \
--url https://api.lapyme.com.ar/api/v1/purchases/tags/apply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"add_tag_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"remove_tag_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/purchases/tags/apply"
payload = {
"entity_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"add_tag_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"remove_tag_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entity_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
add_tag_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
remove_tag_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.lapyme.com.ar/api/v1/purchases/tags/apply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lapyme.com.ar/api/v1/purchases/tags/apply",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'entity_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'add_tag_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'remove_tag_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lapyme.com.ar/api/v1/purchases/tags/apply"
payload := strings.NewReader("{\n \"entity_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"add_tag_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"remove_tag_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.lapyme.com.ar/api/v1/purchases/tags/apply")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"entity_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"add_tag_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"remove_tag_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lapyme.com.ar/api/v1/purchases/tags/apply")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"entity_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"add_tag_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"remove_tag_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"data": {
"entity_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"added": 1,
"removed": 1,
"total": 1
},
"warnings": [
"<unknown>"
]
}{
"request_id": "req_purchase_tags_apply_1",
"error": {
"code": "INVALID_REQUEST",
"message": "Invalid request for applying tags to purchases",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_purchase_tags_apply_1",
"error": {
"code": "AUTHENTICATION_REQUIRED",
"message": "API key is required in the Authorization header",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_purchase_tags_apply_1",
"error": {
"code": "FORBIDDEN",
"message": "Your API key does not have permission for this operation",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_purchase_tags_apply_1",
"error": {
"code": "INTERNAL_ERROR",
"message": "Could not apply tags to purchases",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}Authorizations
Incluí tu API key en el header Authorization con el prefijo Bearer.
Headers
ID opcional de la solicitud para trazabilidad. Si se omite, el servidor genera uno.
Required string length:
1 - 255Body
application/json
Was this page helpful?

